<h2>Mise à jour des données</h2>

<p>
  La base de données doit être mise à jour pour :
</p>

<?php

  foreach($this->out["data_upgrades"] as $application_name => $data_upgrade) :
  if($data_upgrade->upgrade_required()) :

?>

<?php debug($application_name); ?>

<?php endif; endforeach; ?>
<br />

<?php

  if(!($user = $this->user())) :
  $data = $this->data();
  $app_session_key = $data->app_session_key();

?>

<form id="login_form"
      action="<?php echo $this->url("upgrade/user/login"); ?>"
      method="post">
  <fieldset>
    <legend>Identification</legend>
    <input type="hidden" name="pass" value="" />
    <ul>
      <li>
        <label for="login">login</label>
        <div class="form_input">
          <input type="text" id="login" name="login" size="14" maxlength="25" />
        </div>
      </li>
      <li>
        <label for="password">pass</label>
        <div class="form_input">
          <input type="password" id="password" name="password" size="14" maxlength="16" />
        </div>
      </li>
      <li>
        <div class="form_single_button">
          <input type="submit" value="Login" onclick="prepare_password('<?php echo $_SESSION[$app_session_key]["id"]; ?>')" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<?php else : ?>

<p>
  <strong>Cette opération va faire des modifications dans la base de données</strong>.
</p>
<br />
<pre class="debug">faites une sauvegarde de vos données
avant de lancer la mise à jour de la base</pre>
<br />
<br />
<ul class="buttons">
  <li><a href="<?php echo $this->url("upgrade/index/confirm_upgrade"); ?>"
         onclick="return confirm('Lancer l\'upgrade ?')">Lancer la mise à jour</a></li>
  <li><a href="<?php echo $this->url("upgrade/user/logout"); ?>">Annuler</a></li>
</ul>

<?php endif; ?>
