<h2>Pistes</h2>

<ul class="buttons">
  <li><a class="add" href="<?php echo $this->url("users/pistes/add") ?>">Nouvelle piste</a></li>
</ul>

<?php if($this->out["groupes"]["total"] > 0 || (isset($this->out["morceaux"]["total"]) && $this->out["morceaux"]["total"] > 0)) : ?>

<ul class="filters">
<?php if($this->out["groupes"]["total"] > 0) : ?>
  <li>
<?php

  $url_params = array();
  if(isset($_GET[$this->param("morceau")]) && !$_GET[$this->param("morceau")]) $url_params["morceau"] = "";

?>
    <select onchange="document.location=this.options[this.selectedIndex].value;">
      <option value="<?php echo $this->url("users/pistes", $url_params) ?>"<?php echo isset($_GET[$this->param("groupe")]) && ($_GET[$this->param("groupe")] == "0") ? " selected=\"selected\"" : "" ?>>Tous les groupes</option>
      <?php foreach($this->out["groupes"]["list"] as $id_groupe => $groupe) : $url_params["groupe"] = $id_groupe; ?>
      <option value="<?php echo $this->url("users/pistes", $url_params) ?>"<?php echo isset($_GET[$this->param("groupe")]) && ($_GET[$this->param("groupe")] == $id_groupe) ? " selected=\"selected\"" : "" ?>><?php echo $groupe["nom"] ?></option>
      <?php endforeach; ?>
    </select>
  </li>
<?php endif; ?>
<?php if($this->out["morceaux"]) : ?>
  <li>
    <span id="morceau_select">
<?php

  $url_params = array();
  if(isset($_GET[$this->param("groupe")])) $url_params["groupe"] = $_GET[$this->param("groupe")];

?>
    <select onchange="document.location=this.options[this.selectedIndex].value;">
      <option value="<?php echo $this->url("users/pistes", $url_params) ?>"<?php echo !isset($_GET[$this->param("morceau")]) ? " selected=\"selected\"" : "" ?>>Tous les morceaux</option>
<?php $url_params["morceau"] = ""; ?>
      <option value="<?php echo $this->url("users/pistes", $url_params) ?>"<?php echo isset($_GET[$this->param("morceau")]) && !$_GET[$this->param("morceau")] ? " selected=\"selected\"" : "" ?>>Hors album</option>
      <?php foreach($this->out["morceaux"] as $id_morceau => $morceau) : $url_params["morceau"] = $id_morceau; ?>
      <option value="<?php echo $this->url("users/pistes", $url_params) ?>"<?php echo isset($_GET[$this->param("morceau")]) && ($_GET[$this->param("morceau")] == $id_morceau) ? " selected=\"selected\"" : "" ?>>Morceau: <?php echo $morceau["reference"] ? $morceau["reference"]["titre"] : $morceau["titre"] ?></option>
      <?php endforeach; ?>
    </select>
    </span>
  </li>
<?php endif; ?>
</ul>

<?php endif; ?>

<?php if($this->out["pistes"]["list"]) : ?>

<?php $items = "pistes"; $legend = "pistes"; require $this->out_file("views/navig.php"); ?>

<?php

  $get_params = array();
  if(isset($_GET[$this->param("groupe")]) && $_GET[$this->param("groupe")]) $get_params["groupe"] = $_GET[$this->param("groupe")];
  if(isset($_GET[$this->param("morceau")]) && $_GET[$this->param("morceau")]) $get_params["morceau"] = $_GET[$this->param("morceau")];

?>
<form name="sources_form" action="<?php echo $this->url("users/pistes", $get_params) ?>" method="post">
  <fieldset>
    <table class="admin">
      <tr>
        <th>titre</th>
        <th>ordre</th>
        <th align="center" colspan="2">actions</th>
      </tr>
    <?php foreach($this->out["pistes"]["list"] as $id_piste => $piste) : ?>
      <tr class="hl">
        <td>
    <?php if($piste["reference"]) : ?>
          r&eacute;f&eacute;rence &raquo; <a href="<?php echo $piste["reference"]["from"] ?>"><?php echo $piste["reference"]["titre"] ?> (<?php echo $piste["reference"]["auteur"] ?>)</a>
    <?php else : ?>
      <?php if($piste["permissions"]["editeur"]) : ?>
          <a href="<?php echo $this->url("users/pistes/edit", array("id" => $id_piste)) ?>"><?php echo $piste["titre"] ?></a>
      <?php else : ?>
          <?php echo $piste["titre"] ?>
      <?php endif; ?>
    <?php endif; ?>
    <?php if($piste["derivations"]) : ?>
          <br />
          <span class="small">
            d&eacute;rive de &raquo;
    <?php $n = 0; foreach($piste["derivations"] as $derivation) : ?>
            <?php echo $n ? ", " : "" ?><a href="<?php echo $derivation["from"] ?>"><?php echo $derivation["titre"] ?> (<?php echo $derivation["auteur"] ?>)</a>
    <?php $n++; endforeach; ?>
          </span>
    <?php endif; ?>
        </td>
        <td class="action"><input type="text" name="ordre_<?php echo $id_piste ?>" value="<?php echo isset($piste["ordre"]) ? $piste["ordre"] : 0 ?>" size="3" /></td>
        <td class="action">
    <?php if($piste["permissions"]["editeur"]) : ?>
        <a href="<?php echo $this->url("users/pistes/edit", array("id" => $id_piste)) ?>"
           class="admin_link"
           title="modifier cette piste"><img src="<?php echo $this->out_url("icons/edit.gif") ?>" /></a>
    <?php else : ?>
        &nbsp;
    <?php endif; ?>
        </td>
        <td class="action">
    <?php if($piste["permissions"]["admin"]) : ?>
        <a href="<?php echo $this->url("users/pistes/del", array("id" => $id_piste)) ?>"
           class="admin_link"
           title="supprimer cette piste"><img src="<?php echo $this->out_url("icons/del.gif") ?>"
           onclick="return confirm('Supprimer cette piste ?')"/></a>
    <?php else : ?>
        &nbsp;
    <?php endif; ?>
        </td>
      </tr>
    <?php endforeach; ?>
    </table>
    <ul class="form">
      <li class="buttons">
        <div class="form_buttons">
          <input type="submit" value="Enregistrer l'ordre" />
        </div>
      </li>
    </ul>
  </fieldset>
</form>

<?php $items = "pistes"; $legend = "pistes"; require $this->out_file("views/navig.php"); ?>

<?php else : ?>
<p>Aucune piste pour le moment</p>
<?php endif; ?>
